
Redmine - Defect #11010

Redmine 2.0 does not support Microsoft Quotes

2012-05-24 03:24 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.0

Description

If I try to add the following to my Notes/Description of a Redmine ticket

“

”

‘

’

I am getting a 500 - Internal Server Error

History

#1 - 2012-05-24 03:31 - Anonymous

Information About my Redmine Environment

We upgraded from 1.4.1 to 2.0.0 and running on IIS

Environment:

Redmine version                          2.0.0.stable.9706

Ruby version                             1.9.3 (i386-mingw32)

Rails version                            3.2.3

Environment                              production

Database adapter                         MySQL

Redmine plugins:

no plugin installed

#2 - 2012-05-24 09:11 - Etienne Massip

- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Cant reproduce

Can't reproduce on trunk / PostgreSQL + MRI 1.9.3.

Make me think of #8416.

#3 - 2012-05-24 09:13 - Etienne Massip

Could very well be related to the use of IIS.

#4 - 2012-05-24 18:27 - Anonymous

#8416 is the issue with single quotes but not the microsoft quotes

#5 - 2012-05-24 18:45 - Etienne Massip

Could you please check your Redmine and IIS logs?

#6 - 2012-05-24 18:56 - Anonymous

From Redmine logs

Started GET "/redmine/issues/1752" for 10.1.217.244 at 2012-05-24 09:44:59 -0700

Processing by IssuesController#show as HTML

Parameters: {"id"=>"1752"}

Rendered issues/_action_menu.html.erb (0.0ms)
Rendered issue_relations/_form.html.erb (0.0ms)

Rendered issues/_relations.html.erb (0.0ms)

Rendered issues/_history.html.erb (0.0ms)

Rendered issues/show.html.erb within layouts/base (31.2ms)

Completed 500 Internal Server Error in 187ms

ActionView::Template::Error (incompatible character encodings: UTF-8 and ASCII-8BIT):

114: <% if @journals.present? >

115: <div id="history">

116: <h3><=l(:label_history)%></h3>

117: <%= render :partial => 'history', :locals => { :issue => @issue, :journals => @journals } >

118: </div>

119: < end %>

120:

app/views/issues/show.html.erb:117:in `_app_views_issues_show_html_erb__669033008_44865480'

app/controllers/issues_controller.rb:118:in `block (2 levels) in show'

app/controllers/issues_controller.rb:115:in `show'

#7 - 2012-05-24 19:42 - Jean-Philippe Lang

Are you using the mysql2 adapter?

#8 - 2012-05-24 19:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution changed from Cant reproduce to Invalid

Oh, I can see that you're not using mysql2 in the info you provided.

Please change your database adapter to mysql2 (instead of mysql) in your config/database.yml.

#9 - 2012-05-24 19:49 - Anonymous

Yes I have mysql2 in my yml file. I have production and development adapter as mysql2

#10 - 2012-05-24 19:52 - Anonymous

- Status changed from Closed to Reopened

#11 - 2012-05-24 19:53 - Anonymous

It is showing the same error in the redmine log file though I have mysql2 in the database adapter

#12 - 2012-05-24 20:03 - Anonymous

Is there anything to do with libMySQL.dll in C:\Ruby19\bin?

#13 - 2012-05-24 20:05 - Anonymous

In the Gem list it is showing both mysql and mysql2

#14 - 2024-02-07 07:51 - Go MAEDA

- Status changed from Reopened to Closed
